Page MenuHomePhabricator

decom/reclaim tin
Closed, ResolvedPublic

Description

In T175288 tin.eqiad.wmnet has been replaced by deploy1001.

tin can now be decom'ed or reclaimed. it is in eqiad row A, A4

related: T185275, T174452

decom steps have already started in https://gerrit.wikimedia.org/r/#/c/420917/

racktables ID: https://racktables.wikimedia.org/index.php?page=object&object_id=1717

This checklist is able to be copied and pasted into phabricator hardware request tasks for reclaiming systems to spare or decom.

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp (replace with role::spare::system if system isn't shut down immediately during this process.)

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - power down host
  • - disable switch port
  • - switch port assignment noted on this task (for later removal) asw-a-eqiad:ge-4/0/10
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterRemoving mgmt dns for decom host tin
operations/dns : masterdecom tin production entries
operations/puppet : productiondecom of tin

Event Timeline

Dzahn created this task.Jun 1 2018, 5:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2018, 5:07 PM
Dzahn changed the task status from Open to Stalled.Jun 1 2018, 5:11 PM
Dzahn triaged this task as Medium priority.
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)Jun 7 2018, 2:07 PM
Dzahn changed the task status from Stalled to Open.Jun 7 2018, 2:10 PM
Dzahn renamed this task from decom tin to decom/reclaim tin.Jun 7 2018, 2:14 PM
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)
Dzahn removed Dzahn as the assignee of this task.Jun 7 2018, 2:16 PM
RobH edited projects, added decommission; removed hardware-requests.Jun 8 2018, 8:45 PM
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Jun 11 2018, 3:39 PM
Vvjjkkii renamed this task from decom/reclaim tin to 0tbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 0tbaaaaaaa to decom/reclaim tin.Jul 2 2018, 1:45 PM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
RobH updated the task description. (Show Details)Jul 19 2018, 7:06 PM

Change 446884 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] decom of tin

https://gerrit.wikimedia.org/r/446884

Change 446885 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom tin production entries

https://gerrit.wikimedia.org/r/446885

RobH updated the task description. (Show Details)

Change 446884 merged by RobH:
[operations/puppet@production] decom of tin

https://gerrit.wikimedia.org/r/446884

Change 446885 merged by RobH:
[operations/dns@master] decom tin production entries

https://gerrit.wikimedia.org/r/446885

RobH assigned this task to Cmjohnson.Jul 19 2018, 7:14 PM
RobH moved this task from Backlog to pending onsite steps (eqiad) on the decommission board.
RobH updated the task description. (Show Details)

Change 451189 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Removing mgmt dns for decom host tin

https://gerrit.wikimedia.org/r/451189

Change 451189 merged by Cmjohnson:
[operations/dns@master] Removing mgmt dns for decom host tin

https://gerrit.wikimedia.org/r/451189

Cmjohnson closed this task as Resolved.Aug 7 2018, 9:07 PM
Cmjohnson updated the task description. (Show Details)